# v1 (Legacy) (https://developer.godaddy.com/en/docs/references/rest/abuse/v1-legacy)

***

title: v1 (Legacy)
description: Legacy v1 endpoints, maintained for backward compatibility.
full: true
\_openapi:
toc:

* depth: 2
  title: List abuse tickets
  url: '#list-abuse-tickets'
* depth: 2
  title: Create a new abuse ticket
  url: '#create-a-new-abuse-ticket'
* depth: 2
  title: Retrieve abuse ticket details
  url: '#retrieve-abuse-ticket-details'
  structuredData:
  headings:
  * content: List abuse tickets
    id: list-abuse-tickets
  * content: Create a new abuse ticket
    id: create-a-new-abuse-ticket
  * content: Retrieve abuse ticket details
    id: retrieve-abuse-ticket-details
    contents: \[]

***

## GET /v1/abuse/tickets

List abuse tickets

### Query parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `type` | string | no | The type of abuse. |
| `closed` | boolean | no | Is this abuse ticket closed? |
| `sourceDomainOrIp` | string <host-name-or-ip-address> | no | The domain name or ip address the abuse originated from |
| `target` | string | no | The brand/company the abuse is targeting. ie: brand name/bank name |
| `createdStart` | string <iso-datetime> | no | The earliest abuse ticket creation date to pull abuse tickets for |
| `createdEnd` | string <iso-datetime> | no | The latest abuse ticket creation date to pull abuse tickets for |
| `limit` | integer <integer-positive> | no | Number of abuse ticket numbers to return. |
| `offset` | integer <integer-positive> | no | The earliest result set record number to pull abuse tickets for |

### Responses

**200** — Success

Content-Type: `*/*`

Schema:

- object
  - `pagination`: object
      - `first`: string — Optional link to first list of results
      - `last`: string — Optional link to last list of results
      - `next`: string — Optional link to next list of results
      - `previous`: string — Optional link to previous list of results
      - `total`: integer — Number of records available
  - `ticketIds` (required): array — A list of abuse ticket ids originated by this reporter.
      - items:

**401** — Authentication info not sent or invalid

Content-Type: `*/*`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — 1) JSONPath referring to the field within the data containing an error<br/>or<br/>2) JSONPath referring to an object containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to the field on the object referenced by `path` containing an error
  - `message`: string — Human-readable, English description of the error
  - `stack`: array — Stack trace indicating where the error occurred. This attribute <strong>MAY</strong> be included for development and test environments but <strong>MUST NOT</strong> be exposed from OTE or production systems.
      - items:

**403** — Authenticated user is not allowed access

Content-Type: `*/*`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — 1) JSONPath referring to the field within the data containing an error<br/>or<br/>2) JSONPath referring to an object containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to the field on the object referenced by `path` containing an error
  - `message`: string — Human-readable, English description of the error
  - `stack`: array — Stack trace indicating where the error occurred. This attribute <strong>MAY</strong> be included for development and test environments but <strong>MUST NOT</strong> be exposed from OTE or production systems.
      - items:

**422** — Error

Content-Type: `*/*`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — 1) JSONPath referring to the field within the data containing an error<br/>or<br/>2) JSONPath referring to an object containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to the field on the object referenced by `path` containing an error
  - `message`: string — Human-readable, English description of the error
  - `stack`: array — Stack trace indicating where the error occurred. This attribute <strong>MAY</strong> be included for development and test environments but <strong>MUST NOT</strong> be exposed from OTE or production systems.
      - items:

## POST /v1/abuse/tickets

Create a new abuse ticket

### Request body (required)

The endpoint which allows the Reporter to create a new abuse ticket

Content-Type: `application/json`

Schema:

- allOf(object & object)

### Responses

**201** — Success

Content-Type: `*/*`

Schema:

- object — The primary key of a newly created abuse ticket
  - `u_number` (required): string — Abuse ticket ID

**401** — Authentication info not sent or invalid

Content-Type: `*/*`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — 1) JSONPath referring to the field within the data containing an error<br/>or<br/>2) JSONPath referring to an object containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to the field on the object referenced by `path` containing an error
  - `message`: string — Human-readable, English description of the error
  - `stack`: array — Stack trace indicating where the error occurred. This attribute <strong>MAY</strong> be included for development and test environments but <strong>MUST NOT</strong> be exposed from OTE or production systems.
      - items:

**403** — Authenticated user is not allowed access

Content-Type: `*/*`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — 1) JSONPath referring to the field within the data containing an error<br/>or<br/>2) JSONPath referring to an object containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to the field on the object referenced by `path` containing an error
  - `message`: string — Human-readable, English description of the error
  - `stack`: array — Stack trace indicating where the error occurred. This attribute <strong>MAY</strong> be included for development and test environments but <strong>MUST NOT</strong> be exposed from OTE or production systems.
      - items:

**422** — Error

Content-Type: `*/*`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — 1) JSONPath referring to the field within the data containing an error<br/>or<br/>2) JSONPath referring to an object containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to the field on the object referenced by `path` containing an error
  - `message`: string — Human-readable, English description of the error
  - `stack`: array — Stack trace indicating where the error occurred. This attribute <strong>MAY</strong> be included for development and test environments but <strong>MUST NOT</strong> be exposed from OTE or production systems.
      - items:

## GET /v1/abuse/tickets/{ticketId}

Retrieve abuse ticket details

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `ticketId` | string | yes | A unique abuse ticket identifier |

### Responses

**200** — Success

Content-Type: `*/*`

Schema:

- object — The associated fields returned, given a unique abuse ticket id
  - `closed` (required): boolean — Is this abuse ticket closed?
  - `closedAt` (required): string <iso-datetime> — The date the abuse ticket was closed
  - `createdAt` (required): string <iso-datetime> — The date the abuse ticket was created
  - `domainIp` (required): string — The domain or IP the suspected abuse was reported against
  - `reporter` (required): string — The shopper id of the person who reported the suspected abuse
  - `source` (required): string — The single URL or IP the suspected abuse was reported against
  - `target` (required): string — The company the suspected abuse is targeting
  - `ticketId` (required): string — Abuse ticket ID
  - `type` (required): string — The type of abuse being reported
    - enum: "A_RECORD", "CHILD_ABUSE", "CONTENT", "FRAUD_WIRE", "IP_BLOCK", "MALWARE", "NETWORK_ABUSE", "PHISHING", "SPAM"

**401** — Authentication info not sent or invalid

Content-Type: `*/*`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — 1) JSONPath referring to the field within the data containing an error<br/>or<br/>2) JSONPath referring to an object containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to the field on the object referenced by `path` containing an error
  - `message`: string — Human-readable, English description of the error
  - `stack`: array — Stack trace indicating where the error occurred. This attribute <strong>MAY</strong> be included for development and test environments but <strong>MUST NOT</strong> be exposed from OTE or production systems.
      - items:

**403** — Authenticated user is not allowed access

Content-Type: `*/*`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — 1) JSONPath referring to the field within the data containing an error<br/>or<br/>2) JSONPath referring to an object containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to the field on the object referenced by `path` containing an error
  - `message`: string — Human-readable, English description of the error
  - `stack`: array — Stack trace indicating where the error occurred. This attribute <strong>MAY</strong> be included for development and test environments but <strong>MUST NOT</strong> be exposed from OTE or production systems.
      - items:

**404** — Invalid ticket id provided

Content-Type: `*/*`

Schema:

- object
  - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
  - `fields`: array — List of the specific fields, and the errors found with their contents
      - items:
          - `code` (required): string <constant> — Short identifier for the error, suitable for indicating the specific error within client code
          - `message`: string — Human-readable, English description of the problem with the contents of the field
          - `path` (required): string <json-path> — 1) JSONPath referring to the field within the data containing an error<br/>or<br/>2) JSONPath referring to an object containing an error
          - `pathRelated`: string <json-path> — JSONPath referring to the field on the object referenced by `path` containing an error
  - `message`: string — Human-readable, English description of the error
  - `stack`: array — Stack trace indicating where the error occurred. This attribute <strong>MAY</strong> be included for development and test environments but <strong>MUST NOT</strong> be exposed from OTE or production systems.
      - items:
